Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaTypeWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaTypeWriter

All Implemented Interfaces:
  Generator

public class JavaTypeWriter
extends java.lang.Object
implements Generator

This is Wsdl2java's Type Writer. It writes the following files, as appropriate: .java, Holder.java.

Field Summary
`static java.lang.String` | `HOLDER_IS_NEEDED` Field HOLDER_IS_NEEDED

Constructor Summary
`JavaTypeWriter(Emitter emitter, TypeEntry type, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Write all the service bindnigs: service and testcase.
`protected JavaWriter` | `getBeanHelperWriter(Emitter emitter, TypeEntry type, java.util.Vector elements, TypeEntry base, java.util.Vector attributes, boolean forException)` getHelperWriter
`protected JavaWriter` | `getBeanWriter(Emitter emitter, TypeEntry type, TypeEntry base)` getBeanWriter
`protected JavaWriter` | `getEnumTypeWriter(Emitter emitter, TypeEntry type, java.util.Vector v)` getEnumWriter
`protected Generator` | `getHolderWriter(Emitter emitter, TypeEntry type)` getHolderWriter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOLDER_IS_NEEDED

    public static final java.lang.String HOLDER_IS_NEEDED

  Field HOLDER_IS_NEEDED

  See Also:
    Constant Field Values

Constructor Detail

### JavaTypeWriter

    public JavaTypeWriter(Emitter emitter,
                          TypeEntry type,
                          SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `type` -
  `symbolTable` -

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Write all the service bindnigs: service and testcase.

  Specified by:
    `generate` in interface `Generator`
  Throws:
    `java.io.IOException`

### getEnumTypeWriter

    protected JavaWriter getEnumTypeWriter(Emitter emitter,
                                           TypeEntry type,
                                           java.util.Vector v)

  getEnumWriter

  Parameters:
    `emitter` -
    `type` -
    `v` -
  Returns:

### getBeanWriter

    protected JavaWriter getBeanWriter(Emitter emitter,
                                       TypeEntry type,
                                       TypeEntry base)

  getBeanWriter

  Parameters:
    `emitter` -
    `type` -
    `base` -
  Returns:

### getBeanHelperWriter

    protected JavaWriter getBeanHelperWriter(Emitter emitter,
                                             TypeEntry type,
                                             java.util.Vector elements,
                                             TypeEntry base,
                                             java.util.Vector attributes,
                                             boolean forException)

  getHelperWriter

  Parameters:
    `emitter` -
    `type` -
    `elements` -
    `base` -
    `attributes` -
  Returns:

### getHolderWriter

    protected Generator getHolderWriter(Emitter emitter,
                                        TypeEntry type)

  getHolderWriter

  Parameters:
    `emitter` -
    `type` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.